﻿* Encoding: UTF-8.

*******************************************************************************************************************************************************************************************************************.
*********************************************** GENERACIÓN DE AGREGADOS - ENCUESTA ESTRUCTURAL EMPRESARIAL 2017 **************************************************************.
*******************************************************************************************************************************************************************************************************************.

*INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC)
*FUENTE: Encuesta Estructural Empresarial 2017.
*RESPONSABLE: Unidad de Gestión de Estadísticas Estructurales (GESE)
*Fecha de elaboración: Marzo 2022.
*Fecha de última actualización: 26/04/2022.

** Estimado usuario considere que se equipara el cálculo de los agregados económicos, producción y consumo intermedio, con los procedimientos estadísticos de síntesis de las Cuentas Satélite del INEC, 
por lo que las series 2016-2019 de estas variables y del valor agregado empresarial fueron reprocesadas. Por favor descargue la base de datos de la ENESEM 2017 y aplique la sintaxis que se detalla a continuación.  


*Utilizar la base con el factor de expansión. 
weight by f_exp.
execute.

****Eliminar variables que intervienen en el cálculo de la producción, consumo intermedio 
y valor agregado de acuerdo al ejercicio de equiparación. 

delete variables
oingxser
varexisbt
varexism
prodtota
matprima
varexisci
totexi
repacces
totinsum
servbanc
gasxalqu
gasopera
otrgasop
totgadop
consint
valag. 
execute. 

*****************************************/
***CÁLCULO DE LA PRODUCCIÓN.
*****************************************/

***CÁLCULO DE COMPONENTES DE LA PRODUCCIÓN***.

***VENTAS NETAS POR TIPO DE PRODUCTO/SERVICIO**.
COMPUTE Vbp = v2001.
VARIABLE LABELS Vbp 'Ventas netas de bienes producidos por la empresa'.
FORMATS Vbp (F15.0).
EXECUTE.

COMPUTE Vbc = sum.1(v2002, v2003).
VARIABLE LABELS Vbc 'Ventas netas de bienes no producidos (mercaderías) por la empresa'.
FORMATS Vbc (F15.0).
EXECUTE.

COMPUTE Vns = v2004.
VARIABLE LABELS Vns 'Ventas netas de servicios'.
FORMATS Vns (F15.0).
EXECUTE.

***TOTAL DEL COSTO DE COMPRAS NETAS DE BIENES NO PRODUCIDOS**.
COMPUTE Cbnp = sum.1(v1049, v1052).
VARIABLE LABELS Cbnp 'Costo de compras netas de bienes no producidos '.
FORMATS Cbnp (F15.0).
EXECUTE.

***OTROS INGRESOS***.
***Incluye otros y provenientes del exterior ***.
COMPUTE oingxser= sum.1(v1028, v1027).
VARIABLE LABELS oingxser "Otros ingresos por servicios y no operacionales".
FORMATS oingxser (F15.0).
EXECUTE.

****VARIACIÓN DE EXISTENCIAS DE PRODUCCIÓN***.
***VARIACIÓN EXISTENCIAS ARTÍCULOS PRODUCIDOS PARA LA VENTA***.
COMPUTE varexisbt = sum.1(v1066, v1070, - v1064, - v1068).
VARIABLE LABELS varexisbt 'Variación de existencias de artículos producidos para la venta'.
FORMATS varexisbt (F15.0).
EXECUTE.

***VARIACIÓN EXISTENCIAS MERCADERÍAS**.
COMPUTE varexism = sum.1(v1054, - v1047).
VARIABLE LABELS varexism 'Variación de existencias de artículos para la venta sin transformación (Mercaderías)'.
FORMATS varexism (F15.0).
EXECUTE.

***TOTAL CONSTRUCCIONES DE ACTIVOS POR CUENTA PROPIA**.
COMPUTE tcaf =  v4142.
VARIABLE LABELS tcaf 'Total construcciones de activos fijos por cuenta propia'.
FORMATS tcaf (F15.0).
EXECUTE.

***CÁLCULO DE PRODUCCIÓN***.
COMPUTE prodtota= sum.1 (Vbp, Vbc, Vns, -Cbnp, oingxser, varexisbt, varexism, tcaf).
VARIABLE LABELS prodtota "Producción Total".
FORMATS prodtota (F15.0).
EXECUTE.

*************************************Notas al usuario**********************************************
******************************************************************************************************
Nota: De acuerdo al ejercicio de equiparación con las Cuentas Satélites  se omite del cálculo 
de la producción las siguientes variables
v1031: Arrendamiento mercantil
v1038: Otros ingresos no operacionales
Además se agrega al cáculo la siguiente variable:
v1027: Otros ingresos provenientes del exterior


***************************************************/.
***CÁLCULO DEL CONSUMO INTERMEDIO.
**************************************************/.

***CÁLCULO DE COMPONENTES DEL CONSUMO INTERMEDIO***.

***TOTAL INSUMOS***.

***MATERIA PRIMA UTILIZADA***.																																																										
COMPUTE	matprima =sum.1(v1056, v1058, v1060, -v1062).
VARIABLE LABELS matprima "Materia prima utilizada".
FORMATS matprima (F15.0).
EXECUTE.

***REPUESTOS Y ACCESORIOS***.																		
COMPUTE	repacces=	v1141.
VARIABLE LABELS repacces "Suministros, herramientas, materiales y repuestos".
FORMATS repacces (F15.0).
EXECUTE.

***TOTAL INSUMOS***.
COMPUTE	totinsum=	sum.1(matprima, repacces).
VARIABLE LABELS totinsum "Total insumos".
FORMATS totinsum (F15.0).
EXECUTE.

****GASTOS***.																							
COMPUTE servbanc= v1186.
VARIABLE LABELS servbanc "Gastos financieros".
FORMATS servbanc (F15.0).
EXECUTE.

COMPUTE gasxalqu= v1138.
VARIABLE LABELS gasxalqu "Arrendamientos".
FORMATS gasxalqu (F15.0).
EXECUTE.

COMPUTE	gasopera=	sum.1(v1124, v1127, v1130, v1133, v1146, v1152, v1161, v1173, v1091, v1094, gasxalqu).
VARIABLE LABELS gasopera 'Gastos operacionales'.
FORMATS gasopera (F15.0).
EXECUTE.

COMPUTE	otrgasop=	sum.1( v1135, v1155, v1164, v1167, v1178, v1200,servbanc).
VARIABLE LABELS otrgasop 'Otros gastos operacionales'.
FORMATS otrgasop (F15.0).
EXECUTE.

COMPUTE totgadop=  sum.1(gasopera, otrgasop).
VARIABLE LABELS totgadop 'Total gastos operacionales'.
FORMATS totgadop (F15.0).
EXECUTE.

***CÁLCULO DEL CONSUMO INTERMEDIO***.
COMPUTE consint = sum.1(totinsum, gasopera, otrgasop).
VARIABLE LABELS consint 'Consumo Intermedio'.
FORMATS consint (F15.0).
EXECUTE.

*************************************Notas al usuario**********************************************
******************************************************************************************************
Nota1: De acuerdo al ejercicio de equiparación interno con las Cuentas Satélites  se omite del cálculo 
del consumo intermedio las siguientes variables
v1184: Arrendamiento mercantil
v1188: Intereses con instituciones financieras
v1190: Intereses pagados a terceros
v1192: Reversiones del descuento de provisiones que fueron reconocidas a su valor presente
v1194: Intereses implicitos devengados por acuerdos que constituyen efectivamente una transacción financiera o pago diferido
v1196: Otros gastos financieros
v1109: Gasto por amortizaciones 
v1112: perdidas netas por deterioro de valor
v1115: Gasto de provisiones
v1149: Mermas
v1175: Pérdida por siniestros
Además se agrega en el cálculo la siguiente variable:
v1155: Gasto indirecto asignado desde el exterior

*********************************.
*****VALOR AGREGADO****.
*********************************.
COMPUTE valag = sum.1(prodtota, - consint).
VARIABLE LABELS valag 'Valor agregado'.
FORMATS valag (F15.0).
EXECUTE.

*************************************Notas al usuario**********************************************
******************************************************************************************************
*Nota1: Se actualiza el valor agregado debido a que en su cálculo intervienen las variables producción y consumo intermedio. 
*Nota 2: Para obtener los tabulados de resultados, aplique la sintaxis "2017_ENESEM_Sintaxis_Tabulados.sps" disponible en la carpeta "2016-2020_ENESEM_Sintaxis" y en el sitio web: 
https://www.ecuadorencifras.gob.ec/encuesta-estructural-empresarial-2017/. 

 
