* Encoding: UTF-8.
*******************************************************************************************************************************************************************************************************************.
****************************************************GENERACIN DE TABULADOS - ENCUESTA ESTRUCTURAL EMPRESARIAL******************************************************************.
*******************************************************************************************************************************************************************************************************************.

*INSTITUTO NACIONAL DE ESTADSTICA Y CENSO (INEC).
*FUENTE: Encuesta de Estructural Empresarial 2017.
*RESPONSABLE: Unidad de Gestin de Estadsticas Estructurales (GESE).
*Fecha de elaboracin: Abril 2016.
*Fecha de ltima actualizacin: 29/03/2019

*Estimado Usuario. Por favor en el disco C: de su computadora, crear una carpeta llamada "Tabulados Estructural", y coloque la base de datos de la encuesta
En esta carpeta se exportaran los resultados de los tabulados. 

****TABULADOS 2017***.
GET FILE ='C:\Tabulados Estructural\2017_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.

*CUADRO 8. INDICADORES DE RELACIN.

COMPUTE N=1.
VARIABLE LABELS N 'Nacional'.
VARIABLE LEVEL N (NOMINAL).
EXECUTE.

SAVE OUTFILE ='C:\Tabulados Estructural\2017_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.

*GENERACIN DE INDICADORES SECCIN.
*8-1.
GET FILE ='C:\Tabulados Estructural\2017_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(prodtota>0 and totalpeoc>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-1.sav'
  /BREAK=N
  /prodtota_sum 'Produccin total'=SUM(prodtota)
  /totalpeoc_sum 'Personal ocupado total'=SUM(totalpeoc).

GET FILE='C:\Tabulados Estructural\C8-1.sav'.
execute.

compute prodpo=prodtota_sum/totalpeoc_sum.
variable labels prodpo 'Produccin por persona ocupada'.
execute.

SAVE OUTFILE='C:\Tabulados Estructural\C8-1.sav'.

*8-2.
GET FILE ='C:\Tabulados Estructural\2017_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(prodtota>0 and hanuales>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-2.sav'
  /BREAK=N
  /prodtota_sum 'Produccin total'=SUM(prodtota)
  /hanuales_sum 'Horas totales anuales'=SUM(hanuales).

GET FILE='C:\Tabulados Estructural\C8-2.sav'.
execute.

compute prodh=prodtota_sum/hanuales_sum.
variable labels prodh 'Produccin por hora trabajada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-2.sav'.

*8-3.
GET FILE ='C:\Tabulados Estructural\2017_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and totalpeoc>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-3.sav'
  /BREAK=N
/valag_sum 'Valor agregado total'=SUM(valag)
/totalpeoc_sum 'Personal ocupado total'=SUM(totalpeoc).

GET FILE='C:\Tabulados Estructural\C8-3.sav'.
execute.

compute valagpo=valag_sum/totalpeoc_sum.
variable labels valagpo 'Valor agregado por persona ocupada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-3.sav'.

*8-4.
GET FILE ='C:\Tabulados Estructural\2017_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and hanuales>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-4.sav'
  /BREAK=N
/valag_sum 'Valor agregado total'=SUM(valag)
/hanuales_sum 'Horas totales anuales'=SUM(hanuales).

GET FILE='C:\Tabulados Estructural\C8-4.sav'.
execute.

compute valagh=valag_sum/hanuales_sum.
variable labels valagh 'Valor agregado por hora trabajada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-4.sav'.

*8-5.
GET FILE ='C:\Tabulados Estructural\2017_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and cant_ener>0 and cod_letra ~= 'D').
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-5.sav'
  /BREAK=N
/energia_sum 'Cantidad total de energa'=SUM(cant_ener)
/valag_sum 'Valor agregado total'=SUM(valag).

GET FILE='C:\Tabulados Estructural\C8-5.sav'.
execute.

compute energia_ind=energia_sum/valag_sum.
variable labels energia_ind 'Intensidad del uso de energa'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-5.sav'.

*Unificacin de indicadores.
GET FILE = 'C:\Tabulados Estructural\C8-1.sav'.
DELETE VARIABLES prodtota_sum totalpeoc_sum.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-2.sav'
  /RENAME (hanuales_sum prodtota_sum = d0 d1) 
  /BY N
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-3.sav'
  /RENAME (totalpeoc_sum valag_sum = d0 d1) 
  /BY N
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-4.sav'
  /RENAME (hanuales_sum valag_sum = d0 d1) 
  /BY N
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-5.sav'
  /RENAME (energia_sum valag_sum = d0 d1) 
  /BY N
  /DROP= d0 d1.
EXECUTE.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8S.sav'.

*C8-SECCIN.
TABLES
  /OBSERVATION =prodpo prodh valagpo valagh energia_ind
  /FORMAT BLANK MISSING('.')
 /TABLE=N BY (prodpo+prodh+valagpo+valagh+energia_ind)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 8-NACIONAL'
           'INDICADORES DE RELACIN, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2017'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2017_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C8-N'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.
