* Encoding: UTF-8.
*******************************************************************************************************************************************************************************************************************.
************************************************* GENERACIN DE TABULADOS - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018 *************************************************************.
*******************************************************************************************************************************************************************************************************************.

*INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC).
*FUENTE: Encuesta Estructural Empresarial 2018.
*RESPONSABLE: Unidad de Gestin de Estadsticas Estructurales (GESE).
*Fecha de elaboracin: Abril 2020.
*Fecha de ltima actualizacin: 01/04/2020.

*Estimado Usuario. Por favor en el disco C: de su computadora, crear una carpeta llamada "Tabulados Estructural", y coloque la base de datos de la encuesta.
*En esta carpeta se exportarn los resultados de los tabulados. 

****TABULADOS 2018***.

GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.

*Utilizar la base con el factor de expansin. 
weight by f_exp.
execute.

*****
*CUADRO 1. NMERO DE EMPRESAS, PERSONAL OCUPADO, REMUNERACIONES, PRODUCCIN TOTAL, CONSUMO INTERMEDIO, VALOR AGREGADO,
DEPRECIACIONES Y FORMACIN BRUTA DE CAPITAL.

*C1-SECCIN.
TABLES
  /OBSERVATION = totalpeoc totremun prodtota consint valag deprecia fbkf_1
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (k+totalpeoc+totremun+prodtota+consint+valag+deprecia+fbkf_1)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 1-A'
           ' NMERO DE EMPRESAS, PERSONAL OCUPADO, REMUNERACIONES, PRODUCCIN TOTAL, CONSUMO INTERMEDIO, VALOR AGREGADO,' 
           + 'DEPRECIACIONES Y FORMACIN BRUTA DE CAPITAL, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2018_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C1-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C1-TAMAO.
TABLES
  /OBSERVATION = totalpeoc totremun prodtota consint valag deprecia fbkf_1
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (k+totalpeoc+totremun+prodtota+consint+valag+deprecia+fbkf_1)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 1-B'
           ' NMERO DE EMPRESAS, PERSONAL OCUPADO, REMUNERACIONES, PRODUCCIN TOTAL, CONSUMO INTERMEDIO, VALOR AGREGADO,' 
           + 'DEPRECIACIONES Y FORMACIN BRUTA DE CAPITAL, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2018_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C1-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*CUADRO 2. PERSONAL OCUPADO, HORAS TRABAJADAS, SUELDOS Y SALARIOS PAGADOS.

*C2-SECCIN.
TABLES
  /OBSERVATION = v5232 v5233 totalpeoc v5622 v5623 v5624 v5625 v5626 v5627 
  /FORMAT BLANK MISSING('.')
 /TABLE=k+ cod_letra BY v5232 + v5233 + totalpeoc + v5622 + v5623 + v5624 + v5625 + v5626 + v5627
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 2-A'
           'PERSONAL OCUPADO, HORAS TRABAJADAS, SUELDOS Y SALARIOS PAGADOS, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2018_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C2-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C2-TAMAO.
TABLES
  /OBSERVATION = v5232 v5233 totalpeoc v5622 v5623 v5624 v5625 v5626 v5627
  /FORMAT BLANK MISSING('.')
 /TABLE=k+ cod_tamano BY v5232 + v5233 + totalpeoc + v5622 + v5623 + v5624 + v5625 + v5626 + v5627 
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 2-B'
           'PERSONAL OCUPADO, HORAS TRABAJADAS, SUELDOS Y SALARIOS PAGADOS, SEGN TAMAO DE EMPRESA'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2018_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C2-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C2-CATEGORAS DE OCUPACIN.
***Grupo 1***.
COMPUTE ciuo=1.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5011=peocuh.
RENAME VARIABLES v5012=peocum.
RENAME VARIABLES v5013=totpeocu.
RENAME VARIABLES v5469=hotranorma.
RENAME VARIABLES v5470=hotraextra.
RENAME VARIABLES v5471=tothotraba.
RENAME VARIABLES v5472=suelsanovhom.
RENAME VARIABLES v5473=suelsanovmuje.
RENAME VARIABLES v5474=totsuelsanov.
VARIABLE LABELS peocuh 'Total hombres'.
VARIABLE LABELS peocum 'Total mujeres'.
VARIABLE LABELS totpeocu 'Total de Personal Ocupado'.
VARIABLE LABELS hotranorma 'Total horas normales trabajadas en el mes de noviembre'.
VARIABLE LABELS hotraextra 'Total horas extras trabajadas en el mes de noviembre'.
VARIABLE LABELS tothotraba 'Total Horas Trabajadas'.
VARIABLE LABELS suelsanovhom 'Total Sueldos y Salarios Pagados Noviembre - Hombres'.
VARIABLE LABELS suelsanovmuje 'Total Sueldos y Salarios Pagados Noviembre - Mujeres'.
VARIABLE LABELS totsuelsanov 'Total Sueldos y Salarios Pagados en el mes de Noviembre'.
EXECUTE.

SAVE OUTFILE='C:\Tabulados Estructural\GO1.sav'/KEEP ciuo peocuh peocum totpeocu hotranorma 
hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 2***.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.				

COMPUTE ciuo=2.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5024=peocuh.
RENAME VARIABLES v5025=peocum.
RENAME VARIABLES v5026=totpeocu.
RENAME VARIABLES v5478=hotranorma.
RENAME VARIABLES v5479=hotraextra.
RENAME VARIABLES v5480=tothotraba.
RENAME VARIABLES v5481=suelsanovhom.
RENAME VARIABLES v5482=suelsanovmuje.
RENAME VARIABLES v5483=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO2.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.


***Grupo 3.1***.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=3.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5037=peocuh.
RENAME VARIABLES v5038=peocum.
RENAME VARIABLES v5039=totpeocu.
RENAME VARIABLES v5487=hotranorma.
RENAME VARIABLES v5488=hotraextra.
RENAME VARIABLES v5489=tothotraba.
RENAME VARIABLES v5490=suelsanovhom.
RENAME VARIABLES v5491=suelsanovmuje.
RENAME VARIABLES v5492=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO3_1.sav'/KEEP id_empresa ciuo peocuh peocum totpeocu 
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 3.2***.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=3.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5050=peocuh.
RENAME VARIABLES v5051=peocum.
RENAME VARIABLES v5052=totpeocu.
RENAME VARIABLES v5496=hotranorma.
RENAME VARIABLES v5497=hotraextra.
RENAME VARIABLES v5498=tothotraba.
RENAME VARIABLES v5499=suelsanovhom.
RENAME VARIABLES v5500=suelsanovmuje.
RENAME VARIABLES v5501=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO3_2.sav'/KEEP id_empresa ciuo peocuh peocum totpeocu 
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 3.3***.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=3.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5063=peocuh.
RENAME VARIABLES v5064=peocum.
RENAME VARIABLES v5065=totpeocu.
RENAME VARIABLES v5505=hotranorma.
RENAME VARIABLES v5506=hotraextra.
RENAME VARIABLES v5507=tothotraba.
RENAME VARIABLES v5508=suelsanovhom.
RENAME VARIABLES v5509=suelsanovmuje.
RENAME VARIABLES v5510=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO3_3.sav'/KEEP id_empresa ciuo peocuh peocum totpeocu 
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 3.4***.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=3.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5076=peocuh.
RENAME VARIABLES v5077=peocum.
RENAME VARIABLES v5078=totpeocu.
RENAME VARIABLES v5514=hotranorma.
RENAME VARIABLES v5515=hotraextra.
RENAME VARIABLES v5516=tothotraba.
RENAME VARIABLES v5517=suelsanovhom.
RENAME VARIABLES v5518=suelsanovmuje.
RENAME VARIABLES v5519=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO3_4.sav'/KEEP id_empresa ciuo peocuh peocum totpeocu 
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 3.5***.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=3.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5089=peocuh.
RENAME VARIABLES v5090=peocum.
RENAME VARIABLES v5091=totpeocu.
RENAME VARIABLES v5523=hotranorma.
RENAME VARIABLES v5524=hotraextra.
RENAME VARIABLES v5525=tothotraba.
RENAME VARIABLES v5526=suelsanovhom.
RENAME VARIABLES v5527=suelsanovmuje.
RENAME VARIABLES v5528=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO3_5.sav'/KEEP id_empresa ciuo peocuh peocum totpeocu 
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 3.6***.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=3.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5102=peocuh.
RENAME VARIABLES v5103=peocum.
RENAME VARIABLES v5104=totpeocu.
RENAME VARIABLES v5532=hotranorma.
RENAME VARIABLES v5533=hotraextra.
RENAME VARIABLES v5534=tothotraba.
RENAME VARIABLES v5535=suelsanovhom.
RENAME VARIABLES v5536=suelsanovmuje.
RENAME VARIABLES v5537=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO3_6.sav'/KEEP id_empresa ciuo peocuh peocum totpeocu 
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 3.7***.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=3.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5115=peocuh.
RENAME VARIABLES v5116=peocum.
RENAME VARIABLES v5117=totpeocu.
RENAME VARIABLES v5541=hotranorma.
RENAME VARIABLES v5542=hotraextra.
RENAME VARIABLES v5543=tothotraba.
RENAME VARIABLES v5544=suelsanovhom.
RENAME VARIABLES v5545=suelsanovmuje.
RENAME VARIABLES v5546=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO3_7.sav'/KEEP id_empresa ciuo peocuh peocum totpeocu 
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 3.8***.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=3.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5128=peocuh.
RENAME VARIABLES v5129=peocum.
RENAME VARIABLES v5130=totpeocu.
RENAME VARIABLES v5550=hotranorma.
RENAME VARIABLES v5551=hotraextra.
RENAME VARIABLES v5552=tothotraba.
RENAME VARIABLES v5553=suelsanovhom.
RENAME VARIABLES v5554=suelsanovmuje.
RENAME VARIABLES v5555=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO3_8.sav'/KEEP id_empresa ciuo peocuh peocum totpeocu 
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 3.9***.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=3.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5141=peocuh.
RENAME VARIABLES v5142=peocum.
RENAME VARIABLES v5143=totpeocu.
RENAME VARIABLES v5559=hotranorma.
RENAME VARIABLES v5560=hotraextra.
RENAME VARIABLES v5561=tothotraba.
RENAME VARIABLES v5562=suelsanovhom.
RENAME VARIABLES v5563=suelsanovmuje.
RENAME VARIABLES v5564=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO3_9.sav'/KEEP id_empresa ciuo peocuh peocum totpeocu 
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 3.10***.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=3.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5154=peocuh.
RENAME VARIABLES v5155=peocum.
RENAME VARIABLES v5156=totpeocu.
RENAME VARIABLES v5568=hotranorma.
RENAME VARIABLES v5569=hotraextra.
RENAME VARIABLES v5570=tothotraba.
RENAME VARIABLES v5571=suelsanovhom.
RENAME VARIABLES v5572=suelsanovmuje.
RENAME VARIABLES v5573=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO3_10.sav'/KEEP id_empresa ciuo peocuh peocum totpeocu 
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***MATCH CATEGORA DE OCUPACIN 3***.

GET FILE ='C:\Tabulados Estructural\GO3_1.sav'.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO3_2.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO3_3.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO3_4.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO3_5.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO3_6.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO3_7.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO3_8.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO3_9.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO3_10.sav'.
EXECUTE.

SORT CASES BY id_empresa.

AGGREGATE
  /OUTFILE=*
  /BREAK=id_empresa
  /ciuo=MEAN(ciuo)
  /peocuh=SUM(peocuh) 
  /peocum=SUM(peocum) 
  /totpeocu=SUM(totpeocu) 
  /hotranorma=SUM(hotranorma) 
  /hotraextra=SUM(hotraextra) 
  /tothotraba=SUM(tothotraba) 
  /suelsanovhom=SUM(suelsanovhom) 
  /suelsanovmuje=SUM(suelsanovmuje) 
  /totsuelsanov=SUM(totsuelsanov)
  /f_exp=FIRST(f_exp).


SAVE OUTFILE='C:\Tabulados Estructural\GO3.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 4***.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.						

COMPUTE ciuo=4.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5167=peocuh.
RENAME VARIABLES v5168=peocum.
RENAME VARIABLES v5169=totpeocu.
RENAME VARIABLES v5577=hotranorma.
RENAME VARIABLES v5578=hotraextra.
RENAME VARIABLES v5579=tothotraba.
RENAME VARIABLES v5580=suelsanovhom.
RENAME VARIABLES v5581=suelsanovmuje.
RENAME VARIABLES v5582=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO4.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 5***.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=5.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5180=peocuh.
RENAME VARIABLES v5181=peocum.
RENAME VARIABLES v5182=totpeocu.
RENAME VARIABLES v5586=hotranorma.
RENAME VARIABLES v5587=hotraextra.
RENAME VARIABLES v5588=tothotraba.
RENAME VARIABLES v5589=suelsanovhom.
RENAME VARIABLES v5590=suelsanovmuje.
RENAME VARIABLES v5591=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO5.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 6***.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.				

COMPUTE ciuo=6.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5193=peocuh.
RENAME VARIABLES v5194=peocum.
RENAME VARIABLES v5195=totpeocu.
RENAME VARIABLES v5595=hotranorma.
RENAME VARIABLES v5596=hotraextra.
RENAME VARIABLES v5597=tothotraba.
RENAME VARIABLES v5598=suelsanovhom.
RENAME VARIABLES v5599=suelsanovmuje.
RENAME VARIABLES v5600=totsuelsanov.


SAVE OUTFILE='C:\Tabulados Estructural\GO6.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 7 y 8***.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.					

COMPUTE ciuo=7.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5206=peocuh.
RENAME VARIABLES v5207=peocum.
RENAME VARIABLES v5208=totpeocu.
RENAME VARIABLES v5604=hotranorma.
RENAME VARIABLES v5605=hotraextra.
RENAME VARIABLES v5606=tothotraba.
RENAME VARIABLES v5607=suelsanovhom.
RENAME VARIABLES v5608=suelsanovmuje.
RENAME VARIABLES v5609=totsuelsanov.

SAVE OUTFILE='C:\Tabulados Estructural\GO7_8.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Grupo 9***.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.				

COMPUTE ciuo=9.
VARIABLE LABELS ciuo 'Grupos de Ocupacin'.
EXECUTE.

RENAME VARIABLES v5219=peocuh.
RENAME VARIABLES v5220=peocum.
RENAME VARIABLES v5221=totpeocu.
RENAME VARIABLES v5613=hotranorma.
RENAME VARIABLES v5614=hotraextra.
RENAME VARIABLES v5615=tothotraba.
RENAME VARIABLES v5616=suelsanovhom.
RENAME VARIABLES v5617=suelsanovmuje.
RENAME VARIABLES v5618=totsuelsanov.


SAVE OUTFILE='C:\Tabulados Estructural\GO9.sav'/KEEP ciuo peocuh peocum totpeocu
hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov f_exp.

***Unificacin de archivos - Grupos de Ocupacin****.

GET FILE='C:\Tabulados Estructural\GO1.sav'.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO2.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO3.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO4.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO5.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO6.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO7_8.sav'.
EXECUTE.

ADD FILES /FILE=*
  /FILE='C:\Tabulados Estructural\GO9.sav'.
EXECUTE.

FORMATS ciuo (F1.0).
VALUE LABELS ciuo 
1 'Directores y Gerentes'
2 'Profesionales, Cientficos e Intelectuales'
3 'Tcnicos y Profesionales de nivel medio'
4 'Personal de Apoyo Administrativo / Empleados de Oficina'
5 'Trabajadores de los Servicios y Vendedores de Comercios y Mercados'
6 'Agricultores y Trabajadores Calificados Agropecuarios, Forestales y Pesqueros'
7 'Artesanos, Oficiales y Operadores de Instalaciones y Maquinarias'
9 'Trabajadores no calificados, Ocupaciones elementales'.
EXECUTE.

COMPUTE K=1.
VARIABLE LABELS K 'Total'.
VALUE LABELS K 1'Nacional'.
EXECUTE.

SAVE OUTFILE='C:\Tabulados Estructural\BDD_PO_CIUO.sav'.

*CUADRO DE RESULTADO* .

WEIGHT by f_exp.

TABLES
  /OBSERVATION = peocuh peocum totpeocu hotranorma hotraextra tothotraba suelsanovhom suelsanovmuje totsuelsanov 
  /FORMAT BLANK MISSING('.')
 /TABLE=k+ ciuo BY peocuh + peocum + totpeocu + hotranorma + hotraextra + tothotraba + suelsanovhom + suelsanovmuje + totsuelsanov
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 2-C'
           ' PERSONAL OCUPADO, HORAS TRABAJADAS, SUELDOS Y SALARIOS, SEGN GRUPOS DE OCUPACIN (CIUO 08. REV.)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2018_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C2-C'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.


GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.

WEIGHT by f_exp. 

*****
*CUADRO 3. REMUNERACIONES.

*C3-SECCIN.
TABLES
  /OBSERVATION =v1082 v1085 v1088 otrrem
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (v1082+v1085+v1088+otrrem)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 3-A'
           'REMUNERACIONES, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2018_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C3-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C3-TAMAO.
TABLES
  /OBSERVATION =v1082 v1085 v1088 otrrem
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (v1082+v1085+v1088+otrrem)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 3-B'
           'REMUNERACIONES, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2018_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C3-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.


**CUADRO 4. PRODUCCIN TOTAL.

*C4-SECCIN.
TABLES
  /OBSERVATION =prodtota v20001 v_merc v20004 oingxser c_merc varexisbt varexism v4145 
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (prodtota+v20001+v_merc+v20004+oingxser+c_merc+varexisbt+varexism+v4145 )
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 4-A'
           'PRODUCCIN TOTAL, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2018_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C4-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C4-TAMAO.
TABLES
  /OBSERVATION =prodtota v20001 v_merc v20004 oingxser c_merc varexisbt varexism v4145 
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (prodtota+v20001+v_merc+v20004+oingxser+c_merc+varexisbt+varexism+v4145 )
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 4-B'
           'PRODUCCIN TOTAL, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2018_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C4-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*****
CUADRO 5. CONSUMO INTERMEDIO.

*C5-SECCIN.
TABLES
  /OBSERVATION =consint totinsum matprima repacces gasopera otrgasop
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (consint+totinsum+matprima+repacces+gasopera+otrgasop)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 5-A'
           'CONSUMO INTERMEDIO, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2018_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C5-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C5-TAMAO.
TABLES
  /OBSERVATION =consint totinsum matprima repacces gasopera otrgasop
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (consint+totinsum+matprima+repacces+gasopera+otrgasop)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 5-B'
           'CONSUMO INTERMEDIO, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2018_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C5-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*****
*CUADRO 6. VALOR Y CANTIDAD DE LOS COMBUSTIBLES Y LUBRICANTES CONSUMIDOS.

*C6-SECCIN.
TABLES
  /OBSERVATION =v9111 v9052 v9053 v9056 v9057 v9060 v9061 v9064 v9065 v9068 v9069 v9072 v9073 v9076 v9077 v9080 v9081 v9084 v9085 v9088 v9089 v9092 v9093 v9096 v9097
v9100 v9101 v9104 v9105 v9108
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (v9111+v9052+v9053+v9056+v9057+v9060+v9061+v9064+v9065+v9068+v9069+v9072+v9073+v9076+v9077+v9080+v9081+v9084+v9085+v9088+v9089+v9092+
 v9093+v9096+v9097+v9100+v9101+v9104+v9105+v9108)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 6-A'
           'VALOR Y CANTIDAD DE LOS COMBUSTIBLES Y LUBRICANTES CONSUMIDOS, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2018_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C6-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C6-TAMAO.
TABLES
  /OBSERVATION =v9111 v9052 v9053 v9056 v9057 v9060 v9061 v9064 v9065 v9068 v9069 v9072 v9073 v9076 v9077 v9080 v9081 v9084 v9085 v9088 v9089 v9092 v9093 v9096 v9097
v9100 v9101 v9104 v9105 v9108
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (v9111+v9052+v9053+v9056+v9057+v9060+v9061+v9064+v9065+v9068+v9069+v9072+v9073+v9076+v9077+v9080+v9081+v9084+v9085+v9088+v9089+v9092+
 v9093+v9096+v9097+v9100+v9101+v9104+v9105+v9108)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 6-B'
           'VALOR Y CANTIDAD DE LOS COMBUSTIBLES Y LUBRICANTES CONSUMIDOS, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2018_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C6-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*****
*CUADRO 7. VALOR Y CANTIDAD DE ENERGA ELCTRICA.

*C7-SECCIN.
TABLES
  /OBSERVATION =vtee veepyc v9002 ceepyc v9001
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_letra BY (vtee+veepyc+v9002+ceepyc+v9001)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 7-A'
           'VALOR Y CANTIDAD DE ENERGA ELCTRICA, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2018_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C7-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*C7-TAMAO.
TABLES
  /OBSERVATION =vtee veepyc v9002 ceepyc v9001
  /FORMAT BLANK MISSING('.')
 /TABLE=k+cod_tamano BY (vtee+veepyc+v9002+ceepyc+v9001)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 7-B'
           'VALOR Y CANTIDAD DE ENERGA ELCTRICA, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2018_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C7-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

****
*CUADRO 8. INDICADORES DE RELACIN.

*GENERACIN DE INDICADORES SECCIN.
*8-1.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(prodtota>0 and totalpeoc>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-1.sav'
  /BREAK=cod_letra
  /prodtota_sum 'Produccin total'=SUM(prodtota)
  /totalpeoc_sum 'Personal ocupado total'=SUM(totalpeoc).

GET FILE='C:\Tabulados Estructural\C8-1.sav'.
execute.

compute prodpo=prodtota_sum/totalpeoc_sum.
variable labels prodpo 'Produccin por persona ocupada'.
execute.

SAVE OUTFILE='C:\Tabulados Estructural\C8-1.sav'.

*8-2.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(prodtota>0 and hanuales>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-2.sav'
  /BREAK=cod_letra
  /prodtota_sum 'Produccin total'=SUM(prodtota)
  /hanuales_sum 'Horas totales anuales'=SUM(hanuales).

GET FILE='C:\Tabulados Estructural\C8-2.sav'.
execute.

compute prodh=prodtota_sum/hanuales_sum.
variable labels prodh 'Produccin por hora trabajada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-2.sav'.

*8-3.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and totalpeoc>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-3.sav'
  /BREAK=cod_letra
/valag_sum 'Valor agregado total'=SUM(valag)
/totalpeoc_sum 'Personal ocupado total'=SUM(totalpeoc).

GET FILE='C:\Tabulados Estructural\C8-3.sav'.
execute.

compute valagpo=valag_sum/totalpeoc_sum.
variable labels valagpo 'Valor agregado por persona ocupada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-3.sav'.

*8-4.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and hanuales>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-4.sav'
  /BREAK=cod_letra
/valag_sum 'Valor agregado total'=SUM(valag)
/hanuales_sum 'Horas totales anuales'=SUM(hanuales).

GET FILE='C:\Tabulados Estructural\C8-4.sav'.
execute.

compute valagh=valag_sum/hanuales_sum.
variable labels valagh 'Valor agregado por hora trabajada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-4.sav'.

*8-5.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and cant_ener>0 and cod_letra ~= 'D').
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-5.sav'
  /BREAK=cod_letra
/energia_sum 'Cantidad total de energa'=SUM(cant_ener)
/valag_sum 'Valor agregado total'=SUM(valag).

GET FILE='C:\Tabulados Estructural\C8-5.sav'.
execute.

compute energia_ind=energia_sum/valag_sum.
variable labels energia_ind 'Intensidad del uso de energa'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-5.sav'.

*Unificacin de indicadores.
GET FILE = 'C:\Tabulados Estructural\C8-1.sav'.
DELETE VARIABLES prodtota_sum totalpeoc_sum.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-2.sav'
  /RENAME (hanuales_sum prodtota_sum = d0 d1) 
  /BY cod_letra
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-3.sav'
  /RENAME (totalpeoc_sum valag_sum = d0 d1) 
  /BY cod_letra
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-4.sav'
  /RENAME (hanuales_sum valag_sum = d0 d1) 
  /BY cod_letra
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-5.sav'
  /RENAME (energia_sum valag_sum = d0 d1) 
  /BY cod_letra
  /DROP= d0 d1.
EXECUTE.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8S.sav'.

*C8-SECCIN.
TABLES
  /OBSERVATION =prodpo prodh valagpo valagh energia_ind
  /FORMAT BLANK MISSING('.')
 /TABLE=cod_letra BY (prodpo+prodh+valagpo+valagh+energia_ind)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 8-A'
           'INDICADORES DE RELACIN, SEGN SECCIONES (CIIU 4ta. REV.) DE ACTIVIDAD ECONMICA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2018_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C8-A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*GENERACIN DE INDICADORES DE RELACIN - TAMAO.
*8-1.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(prodtota>0 and totalpeoc>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-1B.sav'
  /BREAK=cod_tamano
 /prodtota_sum 'Produccin total'=SUM(prodtota)
 /totalpeoc_sum 'Personal ocupado total'=SUM(totalpeoc).

GET FILE='C:\Tabulados Estructural\C8-1B.sav'.
execute.

compute prodpo=prodtota_sum/totalpeoc_sum.
variable labels prodpo 'Produccin por persona ocupada'.
execute.

SAVE OUTFILE='C:\Tabulados Estructural\C8-1B.sav'.

*8-2.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(prodtota>0 and hanuales>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-2B.sav'
  /BREAK=cod_tamano
/prodtota_sum 'Produccin total'=SUM(prodtota)
/hanuales_sum 'Horas totales anuales'=SUM(hanuales).

GET FILE='C:\Tabulados Estructural\C8-2B.sav'.
execute.

compute prodh=prodtota_sum/hanuales_sum.
variable labels prodh 'Produccin por hora trabajada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-2B.sav'.

*8-3.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and totalpeoc>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-3B.sav'
  /BREAK=cod_tamano
/valag_sum 'Valor agregado total'=SUM(valag)
/totalpeoc_sum 'Personal ocupado total'=SUM(totalpeoc).

GET FILE='C:\Tabulados Estructural\C8-3B.sav'.
execute.

compute valagpo=valag_sum/totalpeoc_sum.
variable labels valagpo 'Valor agregado por persona ocupada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-3B.sav'.

*8-4.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and hanuales>0).
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-4B.sav'
  /BREAK=cod_tamano
/valag_sum 'Valor agregado total'=SUM(valag)
/hanuales_sum 'Horas totales anuales'=SUM(hanuales).

GET FILE='C:\Tabulados Estructural\C8-4B.sav'.
execute.

compute valagh=valag_sum/hanuales_sum.
variable labels valagh 'Valor agregado por hora trabajada'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-4B.sav'.

*8-5.
GET FILE ='C:\Tabulados Estructural\2018_ESTRUCTURAL_EMPRESARIAL_BDD.sav'.
weight by f_exp.
USE ALL.
COMPUTE filter_$=(valag>0 and cant_ener>0 and cod_letra ~= 'D').
FILTER BY filter_$.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Tabulados Estructural\C8-5B.sav'
  /BREAK=cod_tamano
/energia_sum 'Cantidad total de energa'=SUM(cant_ener)
/valag_sum 'Valor agregado total'=SUM(valag).

GET FILE='C:\Tabulados Estructural\C8-5B.sav'.
execute.

compute energia_ind=energia_sum/valag_sum.
variable labels energia_ind 'Intensidad del uso de energa'.
execute.

SAVE OUTFILE ='C:\Tabulados Estructural\C8-5B.sav'.

*Unificacin de indicadores.
GET FILE = 'C:\Tabulados Estructural\C8-1B.sav'.
DELETE VARIABLES prodtota_sum totalpeoc_sum.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-2B.sav'
  /RENAME (hanuales_sum prodtota_sum = d0 d1) 
  /BY cod_tamano
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-3B.sav'
  /RENAME (totalpeoc_sum valag_sum = d0 d1) 
  /BY cod_tamano
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-4B.sav'
  /RENAME (hanuales_sum valag_sum = d0 d1) 
  /BY cod_tamano
  /DROP= d0 d1.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='C:\Tabulados Estructural\C8-5B.sav'
  /RENAME (energia_sum valag_sum = d0 d1) 
  /BY cod_tamano
  /DROP= d0 d1.
EXECUTE.

SAVE OUTFILE = 'C:\Tabulados Estructural\C8T.sav'.

*C8-TAMAO.
TABLES
  /OBSERVATION =prodpo prodh valagpo valagh energia_ind
  /FORMAT BLANK MISSING('.')
 /TABLE=cod_tamano BY (prodpo+prodh+valagpo+valagh+energia_ind)
 /STATISTICS SUM (' ')
 /TITLE  'CUADRO No. 8-B'
           'INDICADORES DE RELACIN, SEGN TAMAO DE EMPRESA'
           '(VALORES EN DLARES)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados Estructural\2018_TABULADOS'
     OPERATION=CREATESHEET  SHEET='C8-B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.


